#version 330 core
layout (location = 0) in vec3 vin;
layout (location = 1) in vec2 vtx; // loc+3 float not vec
out vec2 TexCoords;

uniform mat4 MVP;
uniform mat4 projection;

void main()
{
    gl_Position = MVP * vec4(vin, 1.0);
    TexCoords = vtx;
};
